Bug 893271

Summary: CVE-2012-6096 nagios: stack-based buffer overflow in history.cgi [epel-6]
Product: [Fedora] Fedora EPEL Reporter: Vincent Danen <vdanen>
Component: nagiosAssignee: Keiran Smith <affix>
Status: CLOSED CURRENTRELEASE QA Contact: Jose Pedro Oliveira <jose.p.oliveira.oss>
Severity: low Docs Contact:
Priority: low    
Version: el6CC: affix, jose.p.oliveira.oss, lemenkov, mail, ondrejj, shawn.starr
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-29 15:00:48 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 893269    

Description Vincent Danen 2013-01-08 20:53:43 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-6 tracking bug for nagios: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-01-08 20:53:51 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=893269,893271
Comment 2 Fedora Update System 2013-01-13 09:15:51 EST
nagios-3.4.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nagios-3.4.4-1.el6
Comment 3 Fedora Update System 2013-01-13 14:23:28 EST
Package nagios-3.4.4-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing nagios-3.4.4-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0081/nagios-3.4.4-1.el6
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-01-29 15:00:53 EST
nagios-3.4.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.